import Vue from 'vue';
import dataTable from '@/components/filter-page-table.vue';
import dataForm from '@/components/form.vue';
import eUpload from '@/components/e-upload.vue';
const Plugin = (vue) => {
  vue.prototype.$dev_mode = process.env.NODE_ENV === 'development';
  vue.component('data-table', dataTable);
  vue.component('data-form', dataForm);
  vue.component('eUpload', eUpload);
};

Vue.use(Plugin);
