import Vue from 'vue';
import Vuex from 'vuex';
import { fstate, opera, fgetter } from './setting/frame';
import { ustate, uopera } from './setting/user';
import admin from './api/system/admin';
import tenant from './api/system/tenant';
import news from './api/system/news';
import menu from './api/dining/menu';
import arrange from './api/dining/arrange';
import order from './api/dining/order';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...fstate, ...ustate },
  mutations: { ...opera, ...uopera },
  actions: {},
  getters: { ...fgetter },
  modules: { admin, tenant, menu, arrange, order, news },
});
