const isMobile = () => {
  let flag = navigator.userAgent.match(
    /(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone)/i
  );
  return Boolean(flag);
};

export const fstate = {
  isMobile: isMobile(),
  drawer: !isMobile(),
};

export const opera = {
  drawerOpera(state) {
    state.drawer = !state.drawer;
  },
  checkMobile(state) {
    state.isMobile = isMobile();
  },
};

export const fgetter = {
  // 这个tenant是当前用户选择的tenant
  tenant() {
    const tenant = localStorage.getItem('tenant');
    return tenant;
  },
};
